@font-face {
  font-family: "Poppins";

  src: url("../fonts/Poppins-Light.eot");

  src: url("../fonts/Poppins-Light.eot?#iefix") format("embedded-opentype"),
    url("../fonts/Poppins-Light.woff2") format("woff2"),
    url("../fonts/Poppins-Light.woff") format("woff"),
    url("../fonts/Poppins-Light.ttf") format("truetype"),
    url("../fonts/Poppins-Light.svg#Poppins-Light") format("svg");

  font-weight: 300;

  font-style: normal;

  font-display: swap;
}

@font-face {
  font-family: "Poppins";

  src: url("../fonts/Poppins-Bold.eot");

  src: url("../fonts/Poppins-Bold.eot?#iefix") format("embedded-opentype"),
    url("../fonts/Poppins-Bold.woff2") format("woff2"),
    url("../fonts/Poppins-Bold.woff") format("woff"),
    url("../fonts/Poppins-Bold.ttf") format("truetype"),
    url("../fonts/Poppins-Bold.svg#Poppins-Bold") format("svg");

  font-weight: bold;

  font-style: normal;

  font-display: swap;
}

@font-face {
  font-family: "Poppins";

  src: url("../fonts/Poppins-Medium.eot");

  src: url("../fonts/Poppins-Medium.eot?#iefix") format("embedded-opentype"),
    url("../fonts/Poppins-Medium.woff2") format("woff2"),
    url("../fonts/Poppins-Medium.woff") format("woff"),
    url("../fonts/Poppins-Medium.ttf") format("truetype"),
    url("../fonts/Poppins-Medium.svg#Poppins-Medium") format("svg");

  font-weight: 500;

  font-style: normal;

  font-display: swap;
}

@font-face {
  font-family: "Poppins";

  src: url("../fonts/Poppins-Regular.eot");

  src: url("../fonts/Poppins-Regular.eot?#iefix") format("embedded-opentype"),
    url("../fonts/Poppins-Regular.woff2") format("woff2"),
    url("../fonts/Poppins-Regular.woff") format("woff"),
    url("../fonts/Poppins-Regular.ttf") format("truetype"),
    url("../fonts/Poppins-Regular.svg#Poppins-Regular") format("svg");

  font-weight: normal;

  font-style: normal;

  font-display: swap;
}

@font-face {
  font-family: "Poppins";

  src: url("../fonts/Poppins-SemiBold.eot");

  src: url("../fonts/Poppins-SemiBold.eot?#iefix") format("embedded-opentype"),
    url("../fonts/Poppins-SemiBold.woff2") format("woff2"),
    url("../fonts/Poppins-SemiBold.woff") format("woff"),
    url("../fonts/Poppins-SemiBold.ttf") format("truetype"),
    url("../fonts/Poppins-SemiBold.svg#Poppins-SemiBold") format("svg");

  font-weight: 600;

  font-style: normal;

  font-display: swap;
}

/* início reset*/

* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

a,
button {
  text-decoration: none;
}

ol,
ul {
  list-style: none;
}

html,
body,
div,
span,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
a,
em,
img,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
article,
footer,
header,
nav,
section,
main,
figure,
button {
  margin: 0;

  padding: 0;

  border: 0;

  vertical-align: baseline;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
ul,
button {
  font-size: 1em;

  font-weight: normal;
}

:root {
  --pink: #e3054b;

  --pinkDark: #af0037;

  --blue: #005e94;

  --blueHover: #00507e;

  --darkBlue: #263838;

  --black: #2d2d2d;

  --gray: #707070;

  --bgGray: #e8e8e8;

  --bgGrayLight: #f5f5f5;

  --silver: #aeaeae;

  --white: #fff;

  --poppins: "Poppins";

  --bold: bold;

  --light: 300;

  --medium: 500;

  --regular: normal;

  --semiBold: 600;

  --yellow: #ffc336;

  scrollbar-color: var(--yellow) none !important;

  scrollbar-width: thin !important;
}

/* fim reset*/

/* Scroll */

html::-webkit-scrollbar-thumb {
  /* background: #c5c5c5; */

  background: var(--yellow);

  border-radius: 7px;

  opacity: 0.5;
}

html::-webkit-scrollbar {
  width: 10px;

  background: none;

  /* background: #ecebeb; */

  border-radius: 7px;
}

body {
  /* font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif; */

  font-family: "Poppins";
}

img {
  display: block;

  max-width: 100%; /* para diminuir e aumentar sem estourar a imagem*/

  height: auto;
}

.container {
  max-width: 1200px;

  margin: 0 auto;

  /* padding: 0px; */

  position: relative;

  padding: 0 20px;
}

.btn {
  width: 284px;

  height: 70px;

  padding: 15px 35px;

  background-color: var(--blue);

  font-size: 24px;

  line-height: 30px;

  text-align: center;

  color: var(--white);

  border: none;

  border-radius: 50px;

  display: flex;

  outline: none;

  justify-content: center;

  align-items: center;
}

.btn:hover {
  background-color: var(--blueHover);
}

/*#################

##      MENU

#################*/

.logo {
  z-index: 99;
}

header.header {
  width: 100%;

  /* background: #08112a; */

  padding: 20px;

  /* padding-top: 20px;

  padding-bottom: 20px; */

  z-index: 20;
}

.header-menu {
  display: flex;

  justify-content: space-between;

  flex-wrap: wrap;

  align-items: center;

  max-width: 1200px;

  margin: 0 auto;

  padding: 0 20px;
}

.header-menu {
  flex: 1 0 158px;
}

.header-menu ul {
  display: flex;
}

.header-menu ul li a {
  margin: 0 10px;

  color: var(--darkBlue);

  padding: 10px 0;
}

.header-menu ul li.activeMenu a,
.header-menu ul li a:hover {
  color: var(--pink);
}

.header-menu .menu {
  clear: both;

  max-height: 0;

  transition: max-height 0.2s ease-out;
}

/* menu icon */

.logoMobile,
#check {
  display: none;
}

/*#################

##   FIM MENU

#################*/

/*#################

##  BREADCRUMB

#################*/

.breadcrumb {
  display: flex;

  flex-wrap: wrap;

  margin-top: 60px;

  justify-content: flex-start;
}

.breadcrumb-item {
  margin-right: 10px;

  font-size: 20px;

  font-size: max(14px, 1vw);

  line-height: 30px;

  text-align: start;
}

.breadcrumb-item a {
  font-weight: var(--bold);

  color: var(--darkBlue);
}

.breadcrumb-item a:hover {
  color: var(--pink);
}

.breadcrumb-item + .breadcrumb-item::before {
  display: inline-block;

  padding-right: 0.5rem;

  color: var(--darkBlue);

  content: "/";
}

.breadcrumb-item.breadcrumb-active {
  color: var(--silver);
}

.up-topo {
  display: flex;

  justify-content: flex-end;

  padding: 40px;
}

.voltar-topo {
  text-decoration: none;

  padding-bottom: 0;

  position: absolute;
}

/*################################

##  PRODUTOS - DESCRIÇÃO

################################*/

.mainContent p {
  font-size: 20px;

  line-height: 30px;

  font-weight: var(--light);

  color: var(--darkBlue);
}

/*#################

##   FOOTER

#################*/

.linha {
  display: grid;

  grid-template-columns: 50px minmax(200px, 380px);

  justify-content: center;

  justify-items: center;

  margin: 120px auto;

  grid-gap: 20px;

  text-align: center;
}

/* whatsapp */

.wppFixed {
  position: fixed;

  bottom: 20px;

  right: 30px;

  z-index: 99;
}

.topIcon {
  width: 24px;

  height: 24px;

  stroke: var(--lightBlue);
}

/* RAINBOW */

.wppIcon {
  animation: wppIcon 2s ease-in-out infinite;

  width: 50px;

  height: 50px;

  transform: rotate(10deg);
}

.wppIcon:after {
  animation: wppIcon_shadow 1s ease-in-out infinite;

  transform: rotate(10deg);

  transform-origin: 50% 50%;
}

@keyframes wppIcon {
  50% {
    transform: rotate(-10deg);
  }
}

@keyframes wppIcon_shadow {
  50% {
    transform: rotate(-50deg) translate(10px) scale(0.1);

    opacity: 0.05;
  }
}

.wppIcon {
  fill: white;

  width: 50px;

  height: 50px;

  padding: 3px;

  background-color: #4dc247;

  border-radius: 50%;

  box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.4);

  /* box-shadow: 2px 2px 11px rgba(0,0,0,0.7); */

  position: fixed;

  bottom: 20px;

  right: 20px;

  z-index: 10;

  margin: 5px;
}

.wppIcon:hover {
  box-shadow: 2px 2px 11px rgba(0, 0, 0, 0.7);
}

/* fim whatsapp */

footer {
  background-image: url(../img/footer2.svg);

  background-repeat: no-repeat;

  background-size: 110%;

  /* background-position: 100% 50%; */

  -webkit-box-pack: center;

  justify-content: start;

  min-height: 900px;

  background-position: bottom;
}

.bgFooter {
  max-width: 1200px;

  margin: 0 auto;

  padding: 20px;
}

/* formulário */

form-input,
form input,
select,
form textarea {
  border-radius: 15px;

  border: 1px solid rgba(31, 43, 66, 0.4);

  padding: 15px;

  transition: all 0.3s;

  font-size: 20px;

  font-family: var(--poppins);

  line-height: 30px;

  font-weight: var(--regular);

  color: #373946;

  outline: none;
}

form textarea,
form input {
  max-width: 420px;
}

form {
  display: grid;

  max-width: 588px;

  width: 100%;

  grid-gap: 25px;

  box-shadow: 0 16px 40px rgb(115, 140, 174, 9%);

  background: var(--white);

  border-radius: 15px;

  padding: 56px;
}

form div {
  display: grid;
}

.form .btn {
  width: 284px;

  justify-self: flex-end;

  cursor: pointer;

  font-family: var(--poppins);
}

.footerItems {
  display: grid;

  grid-template-columns: repeat(2, 1fr);

  align-items: flex-start;

  max-width: 1200px;

  grid-gap: 96px;

  margin: 0 auto;

  /* justify-items: center; */

  padding: 0px;
}

.address h1 {
  font-size: 40px;

  line-height: 60px;

  font-weight: var(--semiBold);

  color: var(--darkBlue);
}

.address p.subTitleAddress {
  font-size: 20px;

  line-height: 27px;

  font-weight: var(--regular);

  color: var(--gray);

  max-width: 450px;

  margin-bottom: 120px;
}

.addressItems {
  display: grid;

  grid-gap: 46px;
}

.addressItems h2 {
  font-size: 24px;

  line-height: 35px;

  font-weight: var(--semiBold);

  color: var(--darkBlue);
}

.addressItems p {
  font-size: 20px;

  line-height: 30px;

  font-weight: var(--light);

  color: var(--gray);

  max-width: 340px;
}

.addressItems p.lgpd {
  font-size: 12px;

  line-height: 20px;
}

/*#################

##   FIM FOOTER

#################*/

@media screen and (max-width: 965px) {
  .container {
    padding: auto 20px;
  }

  .header-menu {
    padding: 0;
  }
}

@media (max-width: 768px) {
  .footerItems {
    grid-template-columns: 1fr;

    grid-gap: 30px;
  }

  .logoMobile {
    padding-top: 20px;

    display: block;
  }

  .linha {
    grid-template-columns: 1fr;

    grid-gap: 10px;
  }

  /*##############################
  ##        MENU MOBILE
  ##############################*/

  /*#################
  ##   MENU BTN
  #################*/

  #icone {
    cursor: pointer;

    display: flex;

    justify-content: end;

    position: relative;

    user-select: none;

    z-index: 5;
  }

  #icone {
    /* background: #32ba96; */

    width: 46px;

    height: 46px;

    display: flex;

    align-items: center;

    justify-content: center;

    border-radius: 50%;
  }

  #icone .navicon {
    background: var(--darkBlue);

    display: block;

    position: relative;

    transition: background 0.2s ease-out;

    width: 30px;

    /* width: 21.77px; */

    height: 4px;

    border-radius: 2px;
  }

  #icone .navicon:before,
  #icone .navicon:after {
    background: var(--darkBlue);

    content: "";

    display: block;

    height: 100%;

    position: absolute;

    transition: all 0.2s ease-out;

    width: 100%;

    height: 4px;

    border-radius: 2px;
  }

  #icone .navicon:before {
    top: 10px;
  }

  #icone .navicon:after {
    top: -10px;
  }

  #check:checked ~ #icone .navicon {
    background: transparent;
  }

  #check:checked ~ #icone .navicon:before {
    transform: rotate(-45deg);
  }

  #check:checked ~ #icone .navicon:after {
    transform: rotate(45deg);
  }

  #check:checked ~ #icone:not(.steps) .navicon:before,
  #check:checked ~ #icone:not(.steps) .navicon:after {
    top: 0;
  }

  /*#################

  ##  FIM MENU BTN

  #################*/

  .barra {
    background-color: var(--white);

    height: 100%;

    width: 100%;

    position: absolute;

    transition: all 0.2s linear;

    top: -100%;

    left: 0;

    z-index: 4;
  }

  .header-menu ul {
    width: 100%;

    position: absolute;

    top: 100px;

    display: flex;

    flex-direction: column;

    align-items: center;
  }

  .header-menu ul li a {
    /* color: var(--white); */

    text-decoration: none;

    font-size: 2.25em;

    color: var(--darkBlue);
  }

  .header-menu ul li {
    padding: 15px;

    transition: all 0.2s linear;

    opacity: 0;

    margin-left: 200px;

    z-index: 1;
  }

  .header-menu ul li a:hover {
    transition: all 0.1s linear;

    color: var(--pink);
  }

  #check:checked ~ .barra {
    transform: translatey(100%);
  }

  #check:checked ~ .barra ul .link {
    opacity: 1;

    margin-left: 0;

    transition-delay: 0.2s;
  }

  #check:checked ~ #icone {
    /* border: 2px solid var(--darkBlue); */

    z-index: 5;
  }

  /*##############################

  ##      FIM MENU MOBILE

  ##############################*/
}

@media screen and (max-width: 700px) {
  form {
    padding: 30px;
  }

  .productItem figure,
  .productItem {
    width: 335px !important;
  }

  main .mainContent h1 {
    font-size: max(30px, 2.5vw);

    line-height: 40px !important;

    margin-bottom: 20px !important;

    font-weight: var(--bold);

    color: var(--blue);
  }
}

/*###################################################

##          PÁGINA DE INTENS DE PRODUTOS

###################################################*/

/*#################

##      Home

#################*/

.introContent {
  display: grid;

  grid-gap: 10px !important;

  margin-top: 20px;
}

.introContent h2,
.introContent h1 {
  font-size: max(30px, 2.5vw);

  line-height: 30px !important;

  font-weight: var(--bold);

  color: var(--blue);
}

.containerPedido {
  display: grid;

  grid-gap: 30px;

  justify-items: center;

  grid-template-rows: 100px max-content;
}
